/**
 * This file contains all the callbacks triggered by the notificationListener.
 */

function connectingCallback(resultsList, msg=null) {
  resultsList.getHTMLElements(['#analysis-init-modal']);
  resultsList.analysisInitModal = M.Modal.init(resultsList.analysisInitModal,
                                               {dismissible: false});
  resultsList.analysisInitModal.open();
}

function connectedCallback(resultsList, msg=null) {
  resultsList.analysisInitModal.close();
}

function connectingFaildeCallback(resultsList, msg=null) {
  resultsList.getHTMLElements([
    '#analysis-init-progress',
    '#analysis-init-error'
  ]);
  resultsList.analysisInitProgress.classList.toggle('hide');
  resultsList.analysisInitError.classList.toggle('hide');
  resultsList.analysisInitError.textContent = msg;
}

function queryDataPreparingCallback(resultsList, msg=null) {
  resultsList.getHTMLElements(['#interactions-menu']);
  resultsList.interactionsMenu.classList.toggle('hide', false)
}

// export the callbacks
export { connectingCallback,
         connectedCallback,
         connectingFaildeCallback,
         queryDataPreparingCallback, };